summaryrefslogtreecommitdiffstats
path: root/util/bin/google.currency
diff options
context:
space:
mode:
authorlassulus <lass@aidsballs.de>2015-03-05 17:16:19 +0100
committerlassulus <lass@aidsballs.de>2015-03-05 17:16:19 +0100
commit67a7a6a6beeae2b36de38c4dd59d4895b6a188bc (patch)
tree6b738851912b66ecd0f5a3097fdb7fb066187be4 /util/bin/google.currency
parent760428adcfe08b4c66207f79fcfab02ff6d5be33 (diff)
utils: normalize naming of google wrappers
Diffstat (limited to 'util/bin/google.currency')
-rwxr-xr-xutil/bin/google.currency28
1 files changed, 28 insertions, 0 deletions
diff --git a/util/bin/google.currency b/util/bin/google.currency
new file mode 100755
index 00000000..8219a866
--- /dev/null
+++ b/util/bin/google.currency
@@ -0,0 +1,28 @@
+#! /bin/sh
+set -euf
+
+tc=${TC:="usd"}
+sc=${SC:="eur"}
+
+usage(){
+ echo 'TC= targetcurrency, valid strings are in the style of "usd", "eur" or "sgd". default "usd"'
+ echo 'SC= sourcecurrency, same TC, default is eur'
+ echo 'Example: TC="sgd" ./currency.google 11'
+
+ exit 0
+}
+
+currency_convert(){
+ text=$*
+ url="http://www.google.com/finance/converter?a=$1&from=$sc&to=$tc"
+ curl -A "Mozilla/5.0" -Ss "$url" |
+ sed '/res/!d;s/<[^>]*>//g' |
+ #sed 's/\[\[\[\"//' |
+ awk '{print $4}'
+}
+
+if [ $# -eq 0 ]; then
+ usage
+fi
+
+currency_convert $*